Multivariate Pattern Analysis in Python

# mvpa2.misc.support.xrandom_unique_combinations

`mvpa2.misc.support.``xrandom_unique_combinations`(L, n, k=None)

  Generator of unique combinations form a list L of objects in groups of size n produced in random order

  Parameters:

  L : list

  > list of unique ids

  n : int

  > grouping size

  k : int or None

  > limit number of combinations. All of combinations are produced if k is None (default)